Package org.eclipse.birt.chart.model.attribute

# Enum LeaderLineStyle

java.lang.Object
java.lang.Enum<LeaderLineStyle>
org.eclipse.birt.chart.model.attribute.LeaderLineStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<LeaderLineStyle>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum LeaderLineStyle extends Enum<LeaderLineStyle> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Leader Line Style', and utility methods for working with them. This type defines the forms of leader lines.

See Also:
  - `AttributePackage.getLeaderLineStyle()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIXED_LENGTH_LITERAL`
The 'Fixed Length' literal object.
`STRETCH_TO_SIDE_LITERAL`
The 'Stretch To Side' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FIXED_LENGTH`
The 'Fixed Length' literal value.
`static final int`
`STRETCH_TO_SIDE`
The 'Stretch To Side' literal value.
`static final List<LeaderLineStyle>`
`VALUES`
A public read-only list of all the 'Leader Line Style' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static LeaderLineStyle`
`get(int value)`
Returns the 'Leader Line Style' literal with the specified integer value.
`static LeaderLineStyle`
`get(String literal)`
Returns the 'Leader Line Style' literal with the specified literal value.
`static LeaderLineStyle`
`getByName(String name)`
Returns the 'Leader Line Style' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static LeaderLineStyle`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LeaderLineStyle[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIXED_LENGTH_LITERAL

public static final LeaderLineStyle FIXED_LENGTH_LITERAL
The 'Fixed Length' literal object.

If the meaning of 'Fixed Length' literal object isn't clear, there really should be more of a description here...

See Also:
  - `FIXED_LENGTH`

### STRETCH_TO_SIDE_LITERAL

public static final LeaderLineStyle STRETCH_TO_SIDE_LITERAL
The 'Stretch To Side' literal object.

If the meaning of 'Stretch To Side' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STRETCH_TO_SIDE`

## Field Details

### FIXED_LENGTH

public static final int FIXED_LENGTH
The 'Fixed Length' literal value.

See Also:
  - `FIXED_LENGTH_LITERAL`
  - Constant Field Values

### STRETCH_TO_SIDE

public static final int STRETCH_TO_SIDE
The 'Stretch To Side' literal value.

See Also:
  - `STRETCH_TO_SIDE_LITERAL`
  - Constant Field Values

### VALUES

public static final List<LeaderLineStyle> VALUES
A public read-only list of all the 'Leader Line Style' enumerators.

## Method Details

### values

public static LeaderLineStyle[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LeaderLineStyle valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static LeaderLineStyle get(String literal)
Returns the 'Leader Line Style' literal with the specified literal value.

### getByName

public static LeaderLineStyle getByName(String name)
Returns the 'Leader Line Style' literal with the specified name.

### get

public static LeaderLineStyle get(int value)
Returns the 'Leader Line Style' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<LeaderLineStyle>`